commit:     a73ed9075371d4a960c45dbf3813ae6b73eca2f8
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 10 11:16:12 2021 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Wed Mar 10 11:19:45 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a73ed907

sys-apps/pcsc-lite: Version bump (v1.9.1)

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 sys-apps/pcsc-lite/Manifest               |   1 +
 sys-apps/pcsc-lite/pcsc-lite-1.9.1.ebuild | 104 ++++++++++++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/sys-apps/pcsc-lite/Manifest b/sys-apps/pcsc-lite/Manifest
index 1d34122958b..46d00e45859 100644
--- a/sys-apps/pcsc-lite/Manifest
+++ b/sys-apps/pcsc-lite/Manifest
@@ -1,3 +1,4 @@
 DIST pcsc-lite-1.8.25.tar.bz2 757099 BLAKE2B 
c34727833206b4c868e4f0cd6f8bcaf6899695a92488df8e2fc815c00771ea2f248d9d5fa457c02fc437b8350cbfa37390e07f45b90d08630c8afc34b247034a
 SHA512 
0da63cefd70d9524b2afabd62c5f404758c805b84bbe9ef64fb801ef91a8934c38495513022565ea31bd8550b23bc95b9e9b098ddc76930e3d0643c1fbfb5deb
 DIST pcsc-lite-1.8.26.tar.bz2 754838 BLAKE2B 
98bc1abdd66a08dde479821f8b1ef489980a6d58d2a624902de12d0862a4e11b47ed7b12eceff438ecd794bd78a91a7a376e7f4c78c1b03867555dd0e5b734d5
 SHA512 
23f9f41e08f6a5ff1840bec621ee37d6eb268e4ced58df516eb7e32cb6a84998a1d04bafcec36e6524926963e6730a25301301d364b6bd4dda8da1caaa76f037
 DIST pcsc-lite-1.9.0.tar.bz2 755963 BLAKE2B 
30d027ac61aba1f57224c88ffc4ec8568dcc2747f3f7e24be07e7ce52bd23ad7a71b6a2f78d912f827a4c02a22c13ff16bc1450c02bafd92bc87ac0e34a2bbcb
 SHA512 
35c85b15ab54c14403a080d6671b3d986910372651d46a5477111172d42c6d2cf58f4a3ce95427e7a84f6b4d3bee30ea57bf69b855f753160a3c6e72f93e34f3
+DIST pcsc-lite-1.9.1.tar.bz2 763525 BLAKE2B 
b85364f5e2a92450b020bfc28439774c6a6ffb9016ea4072d1925fbc1cef76cd370b298c0b414ba322205d859018308bd7101ef89c5b6f96b97e4f223035ac35
 SHA512 
4f59ea6acb5b258092018f10609987e12b8e601049e6ffed4b4b82abd3c4b35c38a60e1cda28fdc884202e694d1bc3a3b5d930c5b1e9c1b9c309bd17ef463e63

diff --git a/sys-apps/pcsc-lite/pcsc-lite-1.9.1.ebuild 
b/sys-apps/pcsc-lite/pcsc-lite-1.9.1.ebuild
new file mode 100644
index 00000000000..1d51c5e5486
--- /dev/null
+++ b/sys-apps/pcsc-lite/pcsc-lite-1.9.1.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_7,3_8,3_9} )
+
+inherit python-single-r1 systemd udev multilib-minimal
+
+DESCRIPTION="PC/SC Architecture smartcard middleware library"
+HOMEPAGE="https://pcsclite.apdu.fr https://github.com/LudovicRousseau/PCSC";
+
+SRC_URI="https://pcsclite.apdu.fr/files/${P}.tar.bz2";
+
+# GPL-2 is there for the init script; everything else comes from
+# upstream.
+LICENSE="BSD ISC MIT GPL-3+ GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+# This is called libusb so that it doesn't fool people in thinking that
+# it is _required_ for USB support. Otherwise they'll disable udev and
+# that's going to be worse.
+IUSE="doc embedded libusb policykit selinux systemd +udev"
+
+REQUIRED_USE="^^ ( udev libusb ) ${PYTHON_REQUIRED_USE}"
+
+# No dependencies need the MULTILIB_DEPS because the libraries are actually
+# standalone, the deps are only needed for the daemon itself.
+DEPEND="libusb? ( virtual/libusb:1 )
+       udev? ( virtual/libudev:= )
+       policykit? ( >=sys-auth/polkit-0.111 )
+       acct-group/openct
+       acct-group/pcscd
+       acct-user/pcscd
+       ${PYTHON_DEPS}"
+
+RDEPEND="${DEPEND}
+       selinux? ( sec-policy/selinux-pcscd )"
+
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.8.11-polkit-pcscd.patch
+)
+
+DOCS=( AUTHORS HELP README SECURITY ChangeLog )
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               --disable-maintainer-mode \
+               --enable-usbdropdir="${EPREFIX}/usr/$(get_libdir)/readers/usb" \
+               --enable-ipcdir=/run/pcscd \
+               --with-systemdsystemunitdir="$(systemd_get_systemunitdir)" \
+               $(use_enable doc documentation) \
+               $(multilib_native_use_enable embedded) \
+               $(multilib_native_use_enable systemd  libsystemd) \
+               $(multilib_native_use_enable udev libudev) \
+               $(multilib_native_use_enable libusb) \
+               $(multilib_native_use_enable policykit polkit)
+}
+
+multilib_src_install_all() {
+       einstalldocs
+
+       newinitd "${FILESDIR}"/pcscd-init.7 pcscd
+
+       if use udev; then
+               exeinto "$(get_udevdir)"
+               newexe "${FILESDIR}"/pcscd-udev pcscd.sh
+
+               insinto "$(get_udevdir)"/rules.d
+               newins "${FILESDIR}"/99-pcscd-hotplug-r1.rules 
99-pcscd-hotplug.rules
+       fi
+
+       python_fix_shebang "${ED}"/usr/bin/pcsc-spy
+
+       find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       elog "Starting from version 1.6.5, pcsc-lite will start as user nobody 
in"
+       elog "the pcscd group, to avoid running as root."
+       elog ""
+       elog "This also means you need the newest drivers available so that the"
+       elog "devices get the proper owner."
+       elog ""
+       elog "Furthermore, a conf.d file is no longer installed by default, as"
+       elog "the default configuration does not require one. If you need to"
+       elog "pass further options to pcscd, create a file and set the"
+       elog "EXTRA_OPTS variable."
+       elog ""
+       if use udev; then
+               elog "Hotplug support is provided by udev rules."
+               elog "When using OpenRC you additionally need to tell it to 
hotplug"
+               elog "pcscd by setting this variable in /etc/rc.conf:"
+               elog ""
+               elog "    rc_hotplug=\"pcscd\""
+       fi
+}

Reply via email to